GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List articles GETWrite article POSTGet article GETRefresh page POST
Articles

Update action PATCH

Change an action's status, severity, assignee, title or description.

Write article POST

Write a new page in the background.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Articles

List articles

GET
/brands/{brandId}/documents

Created or refreshed documents, newest first.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

kind?string
Default"create"
Value in"create""refresh"
page?integer
Range1 <= value
Default1

Response Body

One page of documents

application/json
  1. response
  1. response
  2. …
items*array<>
total*integer
page*integer
pageSize*integer
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "create",      "status": "planned",      "contentType": "article",      "length": "short",      "refreshLevel": "conservative",      "title": "string",      "topic": "string",      "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",      "sourceUrl": "string",      "publishedUrl": "string",      "error": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "total": 0,  "page": 0,  "pageSize": 0}

Update action PATCH

Change an action's status, severity, assignee, title or description.

Write article POST

Write a new page in the background.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "kind": "create",
      "status": "planned",
      "contentType": "article",
      "length": "short",
      "refreshLevel": "conservative",
      "title": "string",
      "topic": "string",
      "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
      "sourceUrl": "string",
      "publishedUrl": "string",
      "error": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0
}